/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/questionnaire.xml');

  EXCEPTION  
    WHEN e_does_not_exists THEN
      NULL;
  END;
  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/questionnaire.xml',
'<View autosave="true" autosaveTimeout="2000" autosaveMessage="{message.XXAS_PERF_COMMENTS_SAVED}" showSubmit="false" defaultFormHandler="xxas_perf_questionnaire_pkg.row_form_handler" title="Performance Questionnaire">
  <EditFields>
      <Hidden id="ASSIGNMENT_ID"/>
      <Hidden id="PERSON_ID"/>
      <Hidden id="PERF_REVIEW_FORM_ID"/> 
      <Hidden id="QUESTIONNAIRE_ID"/>     
      <Hidden id="CURRENT_STEP_ID"/>       
      <Hidden id="QUESTIONNAIRE_ID"/>
      <Hidden id="PERF_PLAN_ENROLLMENT_ID"/>
      <Hidden id="PERF_REVIEW_STEP_ID"/>
      <Hidden id="REVIEWER_PERSON_ID"/>
      <Hidden id="STATUS_CODE"/>
      <Rating id="RATING" label="{message.XXAS_PERF_RATING}" required="true" visbile ="true" listProvider="LOOKUP_TYPE:PERFORMANCE_RATING" multiColor="false" icon="starfilled" iconColor="energized"/>
      <TextArea id="COMMENTS" label="{message.XXAS_RB_TCM_COMMENTS}" maxChars="10000" required="true" richText="true" enabled="true"/>
      <Flexfield applicationShortCode="XXAS" descriptiveFlexfieldName="Performance Questionnaires"/>
      <Container id="ATTACH_GRP" label="{message.XXAS_RB_EMP_ATTACHMENTS}" visible="false">
        <MultiRow id="ATTACHMENTS" createAllowed="true" toBeInSingleRow="true" xdbUri="/public/xxas/emp/view/attach_quest.xml"/>
      </Container>  
  </EditFields>
</View>
' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/questionnaire.xml');
END;
/
COMMIT;
EXIT;
